## Apache Zeta Components Manual :: Docs For Class ezcGraphPalette

### Graph::ezcGraphPalette

### Class ezcGraphPalette

Abstract class to contain pallet definitions

Source for this file: /Graph/src/interfaces/palette.php

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcGraphPaletteBlack | Dark color pallet for ezcGraph based on Tango style guidelines at http://tango-project.org/Generic_Icon_Theme_Guidelines
ezcGraphPaletteTango | Light color pallet for ezcGraph based on Tango style guidelines at http://tango-project.org/Generic_Icon_Theme_Guidelines
ezcGraphPaletteEzBlue | Light blue color pallet for ezcGraph based on blue eZ colors
ezcGraphPaletteEzGreen | Light green color pallet for ezcGraph based on green eZ colors
ezcGraphPaletteEzRed | Light red color pallet for ezcGraph based on red eZ colors
ezcGraphPaletteEz | Color pallet for ezcGraph based on eZ color scheme

### Member Variables

protected ezcGraphColor | `$axisColor` Axiscolor
protected ezcGraphColor | `$chartBackground` Backgroundcolor
protected ezcGraphColor | `$chartBorderColor` Bordercolor the chart
protected integer | `$chartBorderWidth = 0` Borderwidth for the chart
protected integer | `$colorIndex = -1` Indicates which color should be used for the next dataset
protected array | `$dataSetColor` Array with colors for datasets
protected array | `$dataSetSymbol` Array with symbols for datasets
protected ezcGraphColor | `$elementBackground` Backgroundcolor for elements
protected ezcGraphColor | `$elementBorderColor` Bordercolor for elements
protected integer | `$elementBorderWidth = 0` Borderwidth for elements
protected ezcGraphColor | `$fontColor` Fontcolor
protected string | `$fontName` Name of font to use
protected ezcGraphColor | `$majorGridColor` Color of grid lines
protected integer | `$margin = 0` Margin of elements
protected ezcGraphColor | `$minorGridColor` Color of minor grid lines
protected integer | `$padding = 1` Padding in elements
protected integer | `$symbolIndex = -1` Indicates which symbol should be used for the nect dataset

### Method Summary

protected ezcGraphColor | `checkColor( &$color , $color )` Ensure value to be a color
public void | `resetColorCounter( )` Manually reset the color counter to use the first color again

### Methods

#### checkColor

ezcGraphColor checkColor( &$color , mixed $color )

Ensure value to be a color

##### Parameters:

Name | Type | Description
--- | --- | ---
`$color` | mixed | Color to transform into a ezcGraphColor object
`&$color` |  |

#### resetColorCounter

void resetColorCounter( )

Manually reset the color counter to use the first color again

Documentation generated by phpDocumentor 1.4.3